
From: Keith Owens <kaos@sgi.com>

PPC small data area base symbols shift between kallsyms phases 1 and 2, which
makes the kallsyms data unstable.  Exclude them from the kallsyms list.

Signed-off-by: Keith Owens <kaos@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/kallsyms.c |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN scripts/kallsyms.c~kallsyms-ppc32-fix scripts/kallsyms.c
--- 25/scripts/kallsyms.c~kallsyms-ppc32-fix	Tue Jul  6 14:15:55 2004
+++ 25-akpm/scripts/kallsyms.c	Tue Jul  6 14:15:55 2004
@@ -83,6 +83,11 @@ symbol_valid(struct sym_entry *s)
 	    strcmp(s->sym, "kallsyms_names") == 0)
 		return 0;
 
+	/* Exclude linker generated symbols which vary between passes */
+	if (strcmp(s->sym, "_SDA_BASE_") == 0 ||	/* ppc */
+	    strcmp(s->sym, "_SDA2_BASE_") == 0)		/* ppc */
+		return 0;
+
 	return 1;
 }
 
_
